-module(acTest).

-include_lib("eunit/include/eunit.hrl").

ahocorasick_test_() ->
    [
        {
            "test unicode",
            {
                setup,
                fun() -> eAcs:genTree(["去你妈的","你妈"]) end,
                fun aho_corasick_chn/1
            }
        },
        {
            "test ascii code",
            {
                setup,
                fun() -> eAcs:genTree(["BC","ABCD"]) end,
                fun aho_corasick_eng/1
            }
        }
    ].

aho_corasick_chn(Aho) ->
    [
        ?_assertEqual([{2,3,"你妈"}], eAcs:match("去你妈", Aho)),
        ?_assertEqual([], eAcs:match("测试", Aho))
    ].

aho_corasick_eng(Aho) ->
	Result = eAcs:match("ABC", Aho),
    ?_assertEqual([{2,3,"BC"}], Result).
